"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MockClient = void 0;
class MockClient {
    get providerIdentity() {
        throw new Error('Method not implemented.');
    }
    async dispatch(action, payload) {
        console.log(`dispatching: ${action} with `, payload);
        return {};
    }
    onDisconnection(listener) {
        return;
    }
    disconnect() {
        throw new Error('Method not implemented.');
    }
    processAction(action, payload, senderIdentity) {
        throw new Error('Method not implemented.');
    }
    beforeAction(func) {
        throw new Error('Method not implemented.');
    }
    onError(func) {
        throw new Error('Method not implemented.');
    }
    afterAction(func) {
        throw new Error('Method not implemented.');
    }
    remove(action) {
        throw new Error('Method not implemented.');
    }
    setDefaultAction(func) {
        throw new Error('Method not implemented.');
    }
    register(topic, listener) {
        throw new Error('Method not implemented.');
    }
}
exports.MockClient = MockClient;
//# sourceMappingURL=MockClient.js.map